//
//  XTHtmlTagH1.m
//  TadsTerp
//
//  Created by Rune Berg on 18/04/14.
//  Copyright (c) 2014 Rune Berg. All rights reserved.
//

#import "XTHtmlTagH1.h"
#import "XTOutputFormatterProtocol.h"


@implementation XTHtmlTagH1

+ (NSString *)name
{
	return @"h1";
}

+ (NSArray *)allowedAttributes
{
	return @[];
}

+ (BOOL)standalone
{
	return NO;
}

+ (BOOL)blockLevel
{
	return YES;
}

+ (BOOL)blockLevelSpacing
{
	return YES;
}

- (NSArray *)dispatchToFormatter:(NSObject<XTOutputFormatterProtocol> *)formatter
{
	return [formatter handleHtmlTagH1:self];
}

@end
